Subject: bug#19853: Acknowledgement (25.0.50; ElDoc is displayed whether eldoc-mode is enabled or not)

From: Marcin Borkowski <[email-masked]>
Date: Mon, 21 Mar 2016 05:02:26 +0100

reopen 19853
stop

Hi, since it turns out I was not right, and indeed there is a legitimate
wish to change the behavior, I'm reopening this bug report.

Dmitry, sorry for not understanding your report in the first place.

Best,
M.

On 2016-03-20, at 22:24, Michael Heerdegen <[email-masked]> wrote:

> Dmitry Gutov <[email-masked]> writes:
>
>> > Hmm, I think the only way out would be to add the stuff to the global
>> > hook bindings unconditionally when eldoc is loaded - no matter whether
>> > the global mode is on or not, and never remove it.  And use only one
>> > (buffer local) variable for controlling, `eldoc-mode', that the local
>> > mode sets locally.  The variable `global-eldoc-mode' would not appear in
>> > the code any more.  `global-eldoc-mode' would become a trivial
>> > globalized minor mode that would only turn the local value of
>> > `eldoc-mode' in all buffers.  Would that make sense?
>>
>> Sounds like a viable alternative, yes.
>
> Then maybe let's see what others say.  I think making either change
> would be an improvement.
>
>
> Michael.

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University